Cara menanggulangi/patch bash untuk shell shock pada Linux



Mengingat berbahayanya eksploit yang ditemukan pada bash sistem unix (shell shock, baca disini) maka anda wajib melakukan patch. Pada linux sudah tersedia patch secara otomatis, untuk CentOS, Fedora, Red Hat, dan turunannya :

yum -y update bash

Untuk Debian, Ubuntu, dan turunananya :

sudo apt-get update && sudo apt-get install --only-upgrade bash

Perintah tersebut untuk melakukan update bash ke versi terbaru.

Lakukan Pengecekan

Ketikkan perintah berikut pada bash/terminal anda :

env x='() { :;}; echo vulnerable' bash -c "echo this is a test"
Jika anda mendapati tulisan vulnerable maka bug masih ada. JIka anda hanya mendapati tulisan this is a test maka anda sudah melakukan patch dengan baik.


Share on Google Plus

1 comment:

  1. Thnx gan..ane udh upgrade bash ubuntu 14.04 ane

    ReplyDelete

We’re eager to see your comment. However, Please Keep in mind that all comments are moderated manually by our human reviewers according to our comment policy, and all the links are nofollow. Using Keywords in the name field area is forbidden. Let’s enjoy a personal and evocative conversation.